Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1050165 - crash error 30 when writing data to cifs share
Summary: crash error 30 when writing data to cifs share
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sachin Prabhu
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-08 19:21 UTC by juan ortiz
Modified: 2015-02-17 19:52 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 19:52:00 UTC
Type: Bug


Attachments (Terms of Use)
before and after when mountinf share on linux folder (68.42 KB, image/jpeg)
2014-01-08 19:22 UTC, juan ortiz
no flags Details
ok (60.78 KB, image/jpeg)
2014-01-08 19:23 UTC, juan ortiz
no flags Details

Description juan ortiz 2014-01-08 19:21:14 UTC
Description of problem:
i have a shared folder on windows named juan on c:/juan, i mount it on fedora 19 using mount cifs command, everything ok but when im triyng to write data from my point of sale program its crash and display error 30 maybe operatinf system or unix error, i think maybe its a cifs problem, y write date manually in the shared point on linux its ok but when it from the program crashs, need help

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 juan ortiz 2014-01-08 19:22:40 UTC
Created attachment 847306 [details]
before and after when mountinf share on linux folder

Comment 2 juan ortiz 2014-01-08 19:23:16 UTC
Created attachment 847307 [details]
ok

Comment 3 Jeff Layton 2014-01-09 03:02:17 UTC
I'm afraid you'll need to do a bit more troubleshooting than this. I have no idea what an error 30 in this program means. If you think it's a problem with cifs, then you'll need to determine what syscall is erroring out and what it's returning.

Comment 4 juan ortiz 2014-01-15 13:55:16 UTC
well ok, you dont have idea what its error 30 on my program, but now i know that its the programa its trying to copy data on a cifs share mounted on my fedora 19 pc from a windows pc sharing a folder, i dont have write permissions on it, and i cant get it working with mount.cifs commands.

here a example

drwxr-xr-x   2 sistema root    0 Dec  3 11:09 juan

Comment 5 Justin M. Forbes 2014-03-10 14:46:22 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.13.5-100.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.

Comment 6 Fedora End Of Life 2015-01-09 21:05:18 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2015-02-17 19:52:00 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.